Subject: bug#10613: Please consider this report again

From: Noam Postavsky <[email-masked]>
Date: Wed, 14 Feb 2018 20:51:57 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Reuben Thomas <[email-masked]>
>> Date: Tue, 13 Feb 2018 09:19:04 +0000
>> 
>> But I think the report remains valid: suspending Emacs is not a movement, not an editing command, so why
>> should it affect the behaviour of the next kill?
>> 
>> Consider: if I suspend the computer on which I am running Emacs, then it does not affect the behaviour of
>> Emacs in any way (or shouldn't!). When I resume, Emacs will behave exactly as if nothing had happened in
>> the interim (other than time having passed).
>> 
>> So from Emacs's perspective, why should "suspend-emacs" behave differently?
>
> There's any number of Emacs commands that are neither movement nor
> editing.  For example, iconify-frame.
>
> It might be a useful feature to not interrupt a series of kills across
> these commands, but that's not how this feature was programmed: it
> specifically looks at the last command, and makes no exceptions.
>
> So this is not a bug, it's a request for a new feature.

IMO, it's not a useful feature, it sounds like quite a bit more
complexity both in implementation and usage, for very little benefit.